## GwySelectionLine

GwySelectionLine — Arbitrary line selection

## Functions

GwySelection * | gwy_selection_line_new ()

## Types and Values

struct | GwySelectionLine
struct | GwySelectionLineClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionLine

## Implemented Interfaces

GwySelectionLine implements GwySerializable.

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

GwySelectionLine represents lines with arbitrary length and angle. Selection data consist of quadruples of coordinates (x₀, y₀, x₁, y₁), where 0 and 1 denote the two end points.

## Functions

### gwy_selection_line_new()

    GwySelection *
    gwy_selection_line_new (void);

Creates a new line selection.

#### Returns

A new selection object.

## Types and Values

### struct GwySelectionLine

    struct GwySelectionLine;

### struct GwySelectionLineClass

    struct GwySelectionLineClass {
        GwySelectionClass parent_class;
    };